org.eclipse.graphiti.palette.impl

## Class PaletteSeparatorEntry

- java.lang.Object
- - org.eclipse.graphiti.palette.impl.AbstractPaletteEntry
  - - org.eclipse.graphiti.palette.impl.PaletteSeparatorEntry

All Implemented Interfaces:
  IPaletteEntry, IPaletteSeparatorEntry, IToolEntry

    public class PaletteSeparatorEntry
    extends AbstractPaletteEntry
    implements IPaletteSeparatorEntry

A separator for the palette.

### Constructor Summary

Constructors
Constructor and Description
`PaletteSeparatorEntry()` Creates a new `PaletteSeparatorEntry`.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

`getIconId, getLabel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Constructor Detail

#### PaletteSeparatorEntry

    public PaletteSeparatorEntry()

Creates a new `PaletteSeparatorEntry`.